.filter {
    display: grid;
    grid-row-gap: rem(16);
    grid-template-columns: 1fr;

    &__title {
        font-weight: 500;
        text-align: center;
        font-size: rem(20);
        line-height: rem(26);
        margin-bottom: rem(14);
    }

    @include media-breakpoint-up(md) {
        grid-column-gap: rem(20);
        grid-row-gap: rem(32);
        grid-template-columns: 1fr 1fr;

        &__group {

            &--long {
                grid-column-start: 1;
                grid-column-end: 3;
            }
        }

        &__title {
            text-align: left;
            margin-bottom: rem(24);
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            font-size: rem(20);
            line-height: rem(26);
        }
    }
}

.colors {
    font-size: 0;
    line-height: 0;
    margin: rem(-7);
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    &__item {
        padding: rem(7);
    }

    @include media-breakpoint-up(xl) {
        margin: rem(-3);

        &__item {
            padding: rem(3);
        }
    }
}

.color {
    font-size: 0;
    line-height: 0;
    position: relative;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        overflow: hidden;
        position: absolute;
        visibility: hidden;
    }

    &__label {
        width: 35px;
        height: 35px;
        cursor: pointer;
        overflow: hidden;
        border-radius: 50%;
        display: inline-block;
        border: 1px solid #c3c3c3;
    }

    input:checked + .color__label {
        border-color: $red;
        box-shadow: 0 0 0 rem(4) rgba(242, 73, 66, 0.5);
    }

    @include media-breakpoint-up(xl) {

        &__label {
            width: 44px;
            height: 44px;
        }
    }
}
